﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Collections;

public partial class _Default : System.Web.UI.Page 
{

    protected string userLevel;
    string licenseKey = "5853685F655B6760695A6B6A625B6724413A3A44393F473C413E4443444E43504949531";

    protected void Page_Load(object sender, EventArgs e)
    {
        userLevel = Request.Params["level"];
        if (userLevel == null) userLevel = "basic";


         this.SearchResult1.SearchAgent = new MySearchAgent(licenseKey, SearchResult1.Configuration, userLevel);


    }
}



public class MySearchAgent : Keyoti.SearchEngine.Search.SearchAgent
{
    string currentUserLevel;


    public MySearchAgent(string key, Keyoti.SearchEngine.Configuration configuration, string currentUserLevel) : base(key, configuration) {

        this.currentUserLevel = currentUserLevel;
    }

    public MySearchAgent(Keyoti.SearchEngine.Configuration configuration) : base(configuration) { }

    /// <summary>

    /// Applying filters to results

    /// </summary>

    /// <param name="result">object to be added to results</param>

    /// <param name="results">the search result's collections</param>

    protected override void AddResultItemToResults(Keyoti.SearchEngine.Search.ResultItem result, ArrayList results)
    {

        if (result.UriString.IndexOf("level="+currentUserLevel) > -1) //result is for the user

            results.Add(result);

    }

} 




